#
# spec file for package python-matplotlib
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-matplotlib
Version:        1.4.3
Release:        5.20
Summary:        Plotting Library for Python
License:        SUSE-Matplotlib
Group:          Development/Libraries/Python
Url:            http://matplotlib.org
Source:         https://pypi.python.org/packages/source/m/matplotlib/matplotlib-%{version}.tar.gz
Source1:        matplotlib-setup.cfg
Source2:        matplotlibplugin.py
Source3:        matplotlibwidget.py
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  agg-devel
BuildRequires:  fdupes
BuildRequires:  fltk-devel
BuildRequires:  freetype2-devel >= 2.3
BuildRequires:  gcc-c++
BuildRequires:  ghostscript
BuildRequires:  libpng-devel >= 1.2
BuildRequires:  libxml2
BuildRequires:  pkg-config
BuildRequires:  poppler-tools
BuildRequires:  python-CXX-devel >= 6.2.4
BuildRequires:  python-Pillow
BuildRequires:  python-dateutil >= 1.1
BuildRequires:  python-devel
BuildRequires:  python-numpy-devel >= 1.6
BuildRequires:  python-pyparsing >= 1.5.6
BuildRequires:  python-pytz
BuildRequires:  python-setuptools
BuildRequires:  python-six >= 1.3
BuildRequires:  qhull-devel >= 2003.1
# needed for testing  -- Not doing tests because they take too long
# BuildRequires:  inkscape
# BuildRequires:  python-mock
# BuildRequires:  python-nose
# cairo dependencies
BuildRequires:  python-cairocffi
# GTK dependencies
BuildRequires:  gtk2-devel
BuildRequires:  libgnome-devel
%if 0%{?suse_version} != 1110
BuildRequires:  python-gobject
BuildRequires:  python-gobject-devel
%endif
BuildRequires:  python-gobject2
BuildRequires:  python-gobject2-devel
BuildRequires:  python-gtk >= 2.2.0
BuildRequires:  python-gtk-devel >= 2.2.0
%if 0%{?suse_version} != 1110
# latex dependencies
BuildRequires:  texlive-dvipng
BuildRequires:  texlive-latex
BuildRequires:  texlive-tex
%if 0%{?suse_version} != 1315
BuildRequires:  texlive-sfmath
%endif
%endif
# Qt4 dependencies
%if 0%{?suse_version} != 1110
BuildRequires:  python-pyside
%endif
BuildRequires:  python-qt4
BuildRequires:  python-qt4-devel
%ifarch %{ix86} x86_64
%if 0%{?suse_version} >= 1315 && 0%{?is_opensuse} != 0
# Qt5 dependencies
BuildRequires:  python-qt5
BuildRequires:  python-qt5-devel
%endif
%endif
# tk dependencies
BuildRequires:  python-tk
BuildRequires:  tcl
BuildRequires:  tcl-devel
BuildRequires:  tk
BuildRequires:  tk-devel
# WebAgg dependencies
BuildRequires:  python-tornado
%if 0%{?suse_version} != 1110 && 0%{?suse_version} != 1315 ||  0%{?suse_version} >= 1315 && 0%{?is_opensuse} != 0
# Wx dependencies
BuildRequires:  python-wxWidgets >= 2.8
BuildRequires:  wxWidgets-devel
%define _use_internal_dependency_generator 0
%define __find_requires %wx_requires
%endif
Requires:       python-dateutil >= 1.1
Requires:       python-numpy >= 1.6
Requires:       python-pyparsing >= 1.5.6
Requires:       python-pytz
Requires:       python-six >= 1.3
Recommends:     ghostscript
Recommends:     libxml2-tools
Recommends:     python-Pillow
Recommends:     poppler-tools
Recommends:     python-matplotlib-tk
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
matplotlib is a python 2D plotting library which produces publication
quality figures in a variety of hardcopy formats and interactive
environments across platforms. matplotlib can be used in python
scripts, the python and ipython shell (ala matlab or mathematica), web
application servers, and six graphical user interface toolkits.

%package cairo
Summary:        Cairo backend for %{name}
License:        SUSE-Matplotlib
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       python-cairocffi

%description cairo
This package includes the non-interactive Cairo-based backend 
for the %{name} plotting package

%package gtk2
Summary:        GTK2 backends for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       %{name}-cairo = %{version}
Requires:       python-gobject2
Requires:       python-gtk >= 2.2.0

%description gtk2
This package includes the GTK2-based gdk, gtk, gtkagg, and
gtkcairo backends for the %{name} plotting package

%package gtk3
Summary:        GTK3 backends for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       %{name}-cairo = %{version}
Requires:       python-gobject

%description gtk3
This package includes the GTK3-based gtk3, gtk3agg, and
gtk3cairo backends for the %{name} plotting package

%package latex
Summary:        Allow rendering latex in %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       texlive-dvipng
Requires:       texlive-latex
Requires:       texlive-sfmath
Requires:       texlive-tex

%description latex
This package allows %{name} to display latex in plots
and figures.

%package qt-shared
Summary:        Shared files for the Qt backends for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}

%description qt-shared
This package includes files needed by both the Qt4-based pyqt4 and 
pyside backends and the Qt5-based pyqt5 backend for the %{name}
plotting package

%package qt4
Summary:        Qt4 backends for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       %{name}-qt-shared = %{version}
Requires:       python-pyside
Requires:       python-qt4 >= 4.0

%description qt4
This package includes the Qt4-based pyqt4 and pyside backends
for the %{name} plotting package

%package qt5
Summary:        Qt5 backend for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       %{name}-qt-shared = %{version}
Requires:       python-qt5

%description qt5
This package includes the Qt5-based pyqt5 backend
for the %{name} plotting package

%package designer
Summary:        Qt Designer plugin for %{name}
License:        MIT
Group:          Development/Libraries/Python
Requires:       %{name}-qt4 = %{version}
Requires:       qt-creator

%description designer
This is a plugin and widget to let you use %{name} 
plots as widget in PyQt4 GUIs using Qt Designer

This plugin comes from Python(x,y)

%package tk
Summary:        Tk backend for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       python-tk
Requires:       tcl >= 8.3

%description tk
This package includes the Tk-based tkagg backend
for the %{name} plotting package

%package web
Summary:        Web backend for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       python-tornado

%description web
This package includes the browser-based webagg backend
for the %{name} plotting package

%package wx
Summary:        WxWidgets backend for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       python-wxWidgets >= 2.8

%description wx
This package includes the wxWidgets-based wxagg backend
for %{name} plotting package

%prep
%setup -q -n matplotlib-%{version}
chmod -x lib/matplotlib/mpl-data/images/*.svg
find examples lib/matplotlib lib/mpl_toolkits/mplot3d -type f -name "*.py" -exec sed -i "s|#!\/usr\/bin\/env python||" {} \;

%build
cp %{SOURCE1} ./setup.cfg
%if 0%{?suse_version} > 1310
export XDG_RUNTIME_DIR=/tmp
%endif
python setup.py build

%install
%if 0%{?suse_version} > 1310
export XDG_RUNTIME_DIR=/tmp
%endif
python setup.py install --root=%{buildroot} --prefix=%{_prefix}

# Install designer plugin
mkdir -p %{buildroot}%{_libdir}/qt4/plugins/designer/python/
install -vm 755 %{SOURCE2} %{buildroot}%{_libdir}/qt4/plugins/designer/python/
install -vm 755 %{SOURCE3} %{buildroot}%{python_sitearch}/

%fdupes %{buildroot}%{python_sitearch}

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE CHANGELOG PKG-INFO examples doc/users/license.rst
%{python_sitearch}/matplotlib/
%{python_sitearch}/matplotlib-%{version}.post*-py*.egg-info
%{python_sitearch}/matplotlib-%{version}.post*-py*-nspkg.pth
%{python_sitearch}/mpl_toolkits
%{python_sitearch}/pylab.py*
%exclude %{python_sitearch}/matplotlib/backends/_backend_gdk.so
%exclude %{python_sitearch}/matplotlib/backends/_gtkagg.so
%exclude %{python_sitearch}/matplotlib/backends/_tkagg.so
%exclude %{python_sitearch}/matplotlib/backends/backend_cairo.*
%exclude %{python_sitearch}/matplotlib/backends/backend_cocoaagg.*
%exclude %{python_sitearch}/matplotlib/backends/backend_gdk.*
%exclude %{python_sitearch}/matplotlib/backends/backend_gtk.*
%exclude %{python_sitearch}/matplotlib/backends/backend_gtkagg.*
%exclude %{python_sitearch}/matplotlib/backends/backend_gtkcairo.*
%exclude %{python_sitearch}/matplotlib/backends/backend_gtk3.*
%exclude %{python_sitearch}/matplotlib/backends/backend_gtk3agg.*
%exclude %{python_sitearch}/matplotlib/backends/backend_gtk3cairo.*
%exclude %{python_sitearch}/matplotlib/backends/backend_qt4.*
%exclude %{python_sitearch}/matplotlib/backends/backend_qt4agg.*
%exclude %{python_sitearch}/matplotlib/backends/backend_qt5.*
%exclude %{python_sitearch}/matplotlib/backends/backend_qt5agg.*
%exclude %{python_sitearch}/matplotlib/backends/backend_tkagg.*
%exclude %{python_sitearch}/matplotlib/backends/backend_webagg.*
%exclude %{python_sitearch}/matplotlib/backends/backend_webagg_core.*
%exclude %{python_sitearch}/matplotlib/backends/backend_wx.*
%exclude %{python_sitearch}/matplotlib/backends/backend_wxagg.*
%exclude %{python_sitearch}/matplotlib/backends/qt_compat.*
%exclude %{python_sitearch}/matplotlib/backends/qt4_compat.*
%exclude %{python_sitearch}/matplotlib/backends/tkagg.*
%exclude %{python_sitearch}/matplotlib/backends/qt_editor/
%exclude %{python_sitearch}/matplotlib/backends/web_backend/
%exclude %{python_sitearch}/mpl_toolkits/gtktools.*

%files cairo
%defattr(-,root,root,-)
%{python_sitearch}/matplotlib/backends/backend_cairo.*

%files gtk2
%defattr(-,root,root,-)
%{python_sitearch}/matplotlib/backends/_backend_gdk.so
%{python_sitearch}/matplotlib/backends/_gtkagg.so
%{python_sitearch}/matplotlib/backends/backend_gdk.*
%{python_sitearch}/matplotlib/backends/backend_gtk.*
%{python_sitearch}/matplotlib/backends/backend_gtkagg.*
%{python_sitearch}/matplotlib/backends/backend_gtkcairo.*
%{python_sitearch}/mpl_toolkits/gtktools.*

%if 0%{?suse_version} != 1110
%files gtk3
%defattr(-,root,root,-)
%{python_sitearch}/matplotlib/backends/backend_gtk3.*
%{python_sitearch}/matplotlib/backends/backend_gtk3agg.*
%{python_sitearch}/matplotlib/backends/backend_gtk3cairo.*
%endif

%if 0%{?suse_version} != 1110
# Dummy package to pull in latex dependencies.
%files latex
%defattr(-,root,root,-)
%doc doc/users/usetex.rst
%endif

# IMPORTANT: the qt4 backend makes use of the qt5 backend, 
# which is actually a generic qt backend.
# So we need to package all the qt5 stuff in this generic
# package, and provide a stub package which pulls in the 
# python-qt5 dependency.

%files qt-shared
%defattr(-,root,root,-)
%{python_sitearch}/matplotlib/backends/backend_qt5.*
%{python_sitearch}/matplotlib/backends/backend_qt5agg.*
%{python_sitearch}/matplotlib/backends/qt_compat.*
%{python_sitearch}/matplotlib/backends/qt4_compat.*
%{python_sitearch}/matplotlib/backends/qt_editor/

%files qt4
%defattr(-,root,root,-)
%{python_sitearch}/matplotlib/backends/backend_qt4.*
%{python_sitearch}/matplotlib/backends/backend_qt4agg.*

%files designer
%defattr(-,root,root,-)
%dir %{_libdir}/qt4/
%dir %{_libdir}/qt4/plugins/
%dir %{_libdir}/qt4/plugins/designer/
%dir %{_libdir}/qt4/plugins/designer/python/
%{_libdir}/qt4/plugins/designer/python/matplotlibplugin.py
%{python_sitearch}/matplotlibwidget.py

%ifarch %{ix86} x86_64
%if 0%{?suse_version} >= 1315 && 0%{?is_opensuse} != 0
%files qt5
%defattr(-,root,root,-)
# IMPORTANT: the qt4 backend makes use of the qt5 backend, 
# which is actually a generic qt backend.
# So we need to package all the qt5 stuff in a generic
# package, and provide this stub package which pulls in the 
# python-qt5 dependency.
%doc README.rst
%endif
%endif

%files tk
%defattr(-,root,root,-)
%{python_sitearch}/matplotlib/backends/backend_tkagg.*
%{python_sitearch}/matplotlib/backends/tkagg.*
%{python_sitearch}/matplotlib/backends/_tkagg.so

%files web
%defattr(-,root,root,-)
%{python_sitearch}/matplotlib/backends/backend_webagg.*
%{python_sitearch}/matplotlib/backends/backend_webagg_core.*
%{python_sitearch}/matplotlib/backends/web_backend/

%if 0%{?suse_version} != 1110 && 0%{?suse_version} != 1315 ||  0%{?suse_version} >= 1315 && 0%{?is_opensuse} != 0
%files wx
%defattr(-,root,root,-)
%{python_sitearch}/matplotlib/backends/backend_wx.*
%{python_sitearch}/matplotlib/backends/backend_wxagg.*
%endif

%changelog
* Thu Nov 19 2015 egeorget@openmailbox.org
- Enabled qt5 on Leap 42.1
- Enabled wx on Leap 42.1
* Wed Jul  1 2015 toddrme2178@gmail.com
- Disable qt5 on SLE 12
- Disable wx on SLE 11 and 12
- Disable latex and gtk3 on SLE 11
- Don't require texlive-sfmath on SLE 12
- Disable qt5 on ppc and arm
- Depend on libxml2 instead of libxml2-tools
* Thu May 21 2015 toddrme2178@gmail.com
- Fix installed files
* Mon Mar  2 2015 toddrme2178@gmail.com
- specfile:
  * update url
  * update source url to point to pypi
- update to version 1.4.3:
  * Many bugs are fixed including:
  - fixing drawing of edge-only markers in AGG
  - fix run-away memory usage when using %%inline or saving with a
    tight bounding box with QuadMesh artists
  - improvements to wx and tk gui backends
  * Additionally the webagg and nbagg backends were brought closer to
    feature parity with the desktop backends with the addition of
    keyboard and scroll events thanks to Steven Silvester.
* Mon Oct 27 2014 toddrme2178@gmail.com
- Update to 1.4.2.  This is a bug-fix release for the 1.4 series.
  - corrected boxplot in pyplot.py
  - added extra paths to default search paths for freetype
* Mon Oct 20 2014 toddrme2178@gmail.com
- Update to 1.4.1.  This is a bug-fix release for the 1.4 series.
  - reverts the changes to interactive plotting so ion will work as
    before in all cases fixed boxplot regressions
  - fixes for finding freetype and libpng
  - sundry unicode fixes (looking up user folders, importing
    seaborn/pandas/networkx with macosx backend)
  - nbagg works with python 3 + new font awesome
  - fixed saving dialogue in QT5
* Thu Sep 18 2014 toddrme2178@gmail.com
- Create subpackage to pull in latex dependencies so they are more
  visible to users.
- Comment out testing BuildRequires since we aren't doing testing.
  We aren't doing testing because it takes a long time and a lot
  of packages depend on matplotlib, so it slows down the build
  process for python packages too much.
* Wed Sep 17 2014 jmatejek@suse.com
- downgrade Recommends for texlive (and other big packages) to Suggests
  (this means texlive is not pulled in by default zypper settings)
* Wed Sep 10 2014 toddrme2178@gmail.com
- Dependency and spec file cleanups
- Remove unneeded use-setuptools.diff
* Thu Aug 28 2014 dmueller@suse.com
- adjust python-tz buildrequires to match runtime requires (python-pytz)
* Wed Aug 27 2014 toddrme2178@gmail.com
- Add new python-cairocffi dependency.  This is the recommended
  dependency for the cairo backend upstream.
- Split out the cairo backend into its own subpackage.  It is no
  longer tied to gtk, so people can use it on its own without
  pulling in any gtk dependencies.
- Fixed issues with qt.  The qt5 backend is actually a generic
  qt backend, which the qt4 backend depends on.  So it needs to be
  available for the qt4 backend to work at all.  However, we need
  to pull in the python-qt5 package to make it work, and that
  package is only available for openSUSE > 13.1.  So we need to
  split the generic qt stuff, including the qt5 stuff, into a
  package both the qt4 and qt5 backends can depend on, and then
  create a stub qt5 package that just pulls in python-qt5
- Reorganized some other backend packages based on backend changes
* Tue Aug 26 2014 toddrme2178@gmail.com
- Update to 1.4.0
  * New colormap for red-green color blind users
  * Documentation changes
  - Phil Elson rewrote of the documentation and userguide for both
    Legend and PathEffects.
  * New plotting features
  - Power-law normalization
  - Fully customizable boxplots
  - Support for datetime axes in 2d plots
  - Support for additional spectrum types
  - Support for detrending and windowing 2D arrays in mlab
  - Support for strides in mlab
  - Formatter for new-style formatting strings
  - Consistent grid sizes in streamplots
  - Get a list of all tick labels (major and minor)
  - Separate horizontal/vertical axes padding support in ImageGrid
  - Support for skewed transformations
  - Support for specifying properties of wedge and text in pie
    charts.
  - Fixed the direction of errorbar upper/lower limits
  - More consistent add-object API for Axes
  - Violin Plots
  - More `markevery` options to show only a subset of markers
  - Added size related functions to specialized `Collections`
  - Fixed the mouse coordinates giving the wrong theta value in
    Polar graph
  - Simple quiver plot for mplot3d toolkit
  - polar-plot r-tick locations
  * Date handling
  - n-d array support for date conversion
  * Configuration (rcParams)
  - 'savefig.transparent' added
  - 'axes.titleweight'
  - 'axes.formatter.useoffset' added
  * XDG compliance
  - Matplotlib now looks for configuration files (both rcparams and
    style) in XDG compliant locations.
  * 'style' package added
  - You can now easily switch between different styles using the
    new 'style' package
  * Backends
  - Qt5 backend added
  - Qt4 backend
    + Rudolf Höfler changed the appearance of the subplottool.
    + In the figure options dialog one can now choose to
    (re-)generate a simple automatic legend.
    + Interactive performance of the Qt4 backend has been
    dramatically improved under windows.
    + The mapping of key-signals from Qt to values matplotlib
    understands was greatly improved (For both Qt4 and Qt5).
  - Cairo backends
    +  The Cairo backends are now able to use the cairocffi
    bindings, which are more actively maintained than the pycairo
    bindings.
  - Gtk3Agg backend
    +  The Gtk3Agg backend now works on Python 3.x, if the cairocffi
    bindings are installed.
  - PDF backend
    +  Added context manager for saving to multi-page PDFs.
  * Text
  - Text URLs supported by SVG backend
  - Anchored sizebar font
  * Sphinx extensions
  - The context directive in the plot_directive Sphinx extension
    can now accept an optional reset setting, which will cause the
    context  to be reset.
  * Widgets
  - Span Selector
  * Added an option span_stays to SpanSelector which makes the
    selector rectangle stay on the axes after you release the
    mouse.
  * GAE integration
  - Matplotlib will now run on google app engine.
- Added python-qt5 backend on openSUSE > 13.1
- Spec file cleanups
* Wed Jul 16 2014 toddrme2178@gmail.com
- Set dummy XDG_RUNTIME_DIR to fix building on openSUSE:Factory
* Thu Apr 10 2014 dmueller@suse.com
- install LICENSE directory and fix license tag
* Wed Apr  9 2014 dmueller@suse.com
- add use-setuptools.diff: build against old setuptools as well
* Fri Mar 28 2014 speilicke@suse.com
- Package doc/users/license.rst
* Mon Mar 17 2014 i@marguerite.su
- fix bnc#863451
- added windowing.* to python-matplotlib-tk
- It's windowing instead of Windows, a module required by tk backend
* Sat Mar  8 2014 bwiedemann@suse.com
- Recommend python-matplotlib-tk because it is the default config
* Thu Jan  9 2014 dmueller@suse.com
- remove qt4/designer subpackages for SLE11, as those can
  not be installed without additional updates on a SLES+SDK system
* Thu Nov 14 2013 toddrme2178@gmail.com
- Enable all backends
- Split most backends into separate packages
- Update dependencies
- Add many optional dependencies
- Make %%setup.py quiet
* Thu Oct 24 2013 speilicke@suse.com
- Update to version 1.3.1:
  + Many changes
* Thu Aug 29 2013 jmatejek@suse.com
- add Requires: python-pyparsing
  (the pyparsing module is required for mathtext rendering)
* Wed Aug 21 2013 highwaystar.ru@gmail.com
- update to 1.3.0
- New features:
  * xkcd-style sketch plotting
  * New eventplot plot type
  * Triangular grid interpolation
  * Baselines for stackplot
  * Rectangular colorbar extensions
  * Calling subplot() without arguments
- Drawing:
  * Independent alpha values for face and edge colors
  * Path effects on lines
  * Easier creation of colormap and normalizer for levels with colors
  * Full control of the background color
  * Improved bbox_inches="tight" functionality
  * Initialize a rotated rectangle
- Text:
  * Anchored text support
  * Better vertical text alignment and multi-line text
  * Left and right side axes titles
  * Improved manual contour plot label positioning
- Configuration (rcParams)
  * Quickly find rcParams
  * Changes to font rcParams
- Backends
  * WebAgg backend
  * Remember save directory
- Documentation and examples:
  * Numpydoc docstrings
  * Example reorganization
  * Examples now use subplots()
- Infrastructure
  * Housecleaning
  * New setup script
  * XDG base directory support
  * Catch opening too many figures using pyplot
- for API changes see
  http://matplotlib.org/api/api_changes.html#changes-in-1-3
- removed patches needed for python3 package
* Mon Nov 12 2012 highwaystar.ru@gmail.com
- update to 1.2.0
  * Python 3.x support
  * PGF/TikZ backend
  * Locator interface
  * Tri-Surface Plots
  * Control the lengths of colorbar extensions
  * Figures are picklable
  * Set default bounding box in matplotlibrc
  * New Boxplot Functionality
  * New RC parameter functionality
  * Streamplot
  * New hist functionality
  * Updated shipped dependencies
  * Face-centred colors in tripcolor plots
  * Hatching patterns in filled contour plots, with legends
- python3 package added
* Tue Aug 21 2012 highwaystar.ru@gmail.com
- bugfix upstream release 1.1.1
* Thu Apr 26 2012 toddrme2178@gmail.com
- Remove configobj buildrequires, all configobj files should have
  been removed from matplotlib years ago
* Tue Mar 20 2012 toddrme2178@gmail.com
- Fix Qt Designer plugin directories
* Fri Mar 16 2012 toddrme2178@gmail.com
- Cleaned up spec file formatting
- Removed tests for obsolete openSUSE versions
- Added Qt Designer plugin from Python(x,y) project
* Tue Jan 10 2012 kukuk@suse.de
- Fix spec file for SLE11 (Group entries did go lost)
* Wed Dec 14 2011 highwaystar.ru@gmail.com
- update to 1.1.0
  * module for drawing sankey diagrams;
  * environment for creating animated graphics – module animation;
  * automated positioning charts, labels, and axes on the canvas – a
  team tight_layout () will distribute them so that they are not
  people came to each other;
  * Work on integration with PySide, although functional is still
    in the beta-version and it is recommended to continue using
    PyQt4;
  * improved mapping and positioning of the legend;
  * simplified work with three-dimensional graphs (module mplot3d),
  also significantly expanded and updated documentation on mplot3d;
  * uniform markers;
  * completely removed the old module support Numerix, now all
  users must use Numpy;
  * fixes some bugs.
- removed patches that now upstream
* Thu Dec  8 2011 coolo@suse.com
- fix license to be in spdx.org format
* Tue Oct 11 2011 jmatejek@suse.com
- fix build failing because Tkinter has a faulty __version__
* Mon Aug 15 2011 ro@suse.de
- fix build for platform == linux3
* Mon Jan 24 2011 toddrme2178@gmail.com
- new version 1.0.1
  This is a bugfix release:
  + Fixed error with Hammer projection.
  + Fixed the placement and angle of axis labels in 3D plots.
  + New rc parameters examples.download and examples.directory
    allow bypassing the download mechanism in get_sample_data.
  + Change Axis.set_view_interval() so that when updating an
    existing interval, it respects the orientation of that
    interval, and can enlarge but not reduce the interval.
  + Handle NaN's correctly in path analysis routines.
  + Fix bug in patch alpha handling, and in bar color kwarg
  + Return Qt4's default cursor when leaving the canvas
- cleanup specfile
* Wed Dec 29 2010 sbrabec@suse.cz
- Compile with wxWidgets (STL variant).
* Sat Dec 11 2010 coolo@novell.com
- remove buildrequire on libstdc++
* Sat Jul 17 2010 werner.ho@gmx.de
- new version 1.0.0
* Sat Oct 10 2009 werner.ho@gmx.de
- new version 0.99.1.1
- config file added (seen at home:ocefpaf project)
* Fri Dec 19 2008 lars@linux-schulserver.de
- Update to 0.98.5.2
  + Fix bug where a line with NULL data limits prevents
    subsequent data limits from calculating correctly
  + Major documentation generator changes
  + Fixed dpi-dependent behavior of Legend and fancybox in Text
  + Fix \$ in non-math text with usetex off
  + Fix anti-aliasing when auto-snapping
  + Fix grid lines not moving correctly during pan and zoom
  + Fixed warning in hist() with numpy 1.2
  + Removed the prints in the set_*style commands.  Return the
    list of pprinted strings instead
- 10.2 is gone: remove specific fixes for this distribution
* Mon Nov 24 2008 werner.ho@gmx.de
- replaced scipy by numpy as build requirement
* Wed Aug 20 2008 werner.ho@gmx.de
- removed python-scipy from the requirements list
- added python-dateutil to the requirements list
- added python-pytz to the requirements list
* Sat Aug  9 2008 werner.ho@gmx.de
- new major version 0.98.3
* Tue Aug  5 2008 werner.ho@gmx.de
- new version 0.91.4
* Tue Jul 15 2008 Andrea Florio <andrea@opensuse.org>
- fixed spec file adding missing buildrequires
- made rpmlint happyer
* Fri Jun  6 2008 Werner Hoch <werner.ho@gmx.de>
- new version 0.91.3
* Thu Jan 31 2008 Werner Hoch <werner.ho@gmx.de>
- new version 0.91.2
* Thu Dec  6 2007 Werner Hoch <werner.ho@gmx.de>
- added configobj as an extra requirement
- thus matplotlib will not provide configobj
* Sat Dec  1 2007 Werner Hoch <werner.ho@gmx.de>
- new version 0.91.1
- removed build patches, as the build system has been changed
* Fri Sep  7 2007 Werner Hoch <werner.ho@gmx.de>
- fixed build issus of openSUSE 10.3
* Sat Jun  2 2007 Werner Hoch <werner.ho@gmx.de>
- new version 0.90.1
- added enable_BUILD_WXAGG.patch
* Wed Mar 21 2007 Werner Hoch <werner.ho@gmx.de>
- removed X-server patches, use Xvfb instead
- created extra wx and tk packages
* Mon Mar 19 2007 Werner Hoch <werner.ho@gmx.de>
- default backend is GTKAgg now
- TkAgg backend works now. Patched the X-Server dependancy away when building
* Sat Mar 10 2007 Werner Hoch <werner.ho@gmx.de>
- improved the BuildRequires list. Tkinter backend has still problems
* Wed Feb 28 2007 Werner Hoch <werner.ho@gmx.de>
- new version 0.90.0
* Mon Oct 30 2006 Werner Hoch <werner.ho@gmx.de>
- new version 0.87.7
* Wed Sep 27 2006 Werner Hoch <werner.ho@gmx.de>
- Initial build.
